Bug 1256535 - vte: enable introspection
vte: enable introspection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 17:00 EDT by Yaakov Selkowitz
Modified: 2015-09-23 03:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.28.2-16.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 03:00:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rawhide (5.75 KB, patch)
2015-08-24 17:03 EDT, Yaakov Selkowitz
no flags Details | Diff
Enable GObject Introspection (#1256535) (6.68 KB, patch)
2015-08-24 19:45 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Yaakov Selkowitz 2015-08-24 17:00:53 EDT
In order to port caja-terminal to GI for MATE/gtk2, vte requires a number of introspection fixes from later releases.  Attaching patch for rawhide, which then should be easily merged into the current stable branches.
Comment 1 Yaakov Selkowitz 2015-08-24 17:03:16 EDT
Created attachment 1066631 [details]
Patch for rawhide
Comment 2 Yaakov Selkowitz 2015-08-24 19:45:05 EDT
Created attachment 1066666 [details]
Enable GObject Introspection (#1256535)

Of course, it would help if introspection would be built in the first 
place.  Revised patch attached.  Successful koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10814016
Comment 3 Kevin Fenzi 2015-08-30 14:47:06 EDT
We could do this, but isn't caja moving to gtk3? (ie, can't it just do that and move to vte3?) or is that not planned for a while?
Comment 4 Wolfgang Ulbrich 2015-08-30 15:06:45 EDT
(In reply to Kevin Fenzi from comment #3)
> We could do this, but isn't caja moving to gtk3? (ie, can't it just do that
> and move to vte3?) or is that not planned for a while?

Thanks Kevin,
shure mate will switch in future to gtk3 and there is a mate gt3 repo at coprs,
but that's all not ready for production and only  for testing to find bugs.
I don't think that i switch to gtk3 before f25.....i'm a conservative maintainer and prefer a bug free live.
So enable introspection for vte makes sense for more than 1 year or more.
Comment 5 Fedora Update System 2015-09-05 16:14:35 EDT
vte-0.28.2-16.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15192
Comment 6 Fedora Update System 2015-09-06 17:56:54 EDT
vte-0.28.2-16.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update vte'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15192
Comment 7 Fedora Update System 2015-09-23 03:00:31 EDT
vte-0.28.2-16.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.